Subject: Re: CCL:How to resolve overlapping Gaussians in the UV Spectrum?

From: Roy Jensen <[email-masked]>
Date: Sun, 26 Jan 2003 22:22:09 -0800 (PST)

Excel will work, with a little bit of luck...

Use the Solver Add-in. Solver can be used to make a non-linear
least-squares fitting routine -- which is what you want.

It also conveniently plots your results.

If you provide me with a fax number, I can fax you some pages out of a lab
manual that explain how to do this.

Roy Jensen

-----BEGIN PGP PUBLIC KEY BLOCK-----
Comment: available at www.consol.ca

------END PGP PUBLIC KEY BLOCK------

On Sun, 26 Jan 2003, David J Anick wrote:

> Date: Sun, 26 Jan 2003 17:53:24 -0800
>
> Dear CCL-ers,
>
> I have a complex line shape from a spectrum that I would like to
> represent as a sum of overlapping Gaussians.  More precisely,
> I have a function y=f(x), a < x < b, given as about 500 (x,y)
> points, where f(a)=f(b)=0, and I would like to find a small
> number (typically 3 to 8, perhaps) of Gaussians whose sum
> approximates f.  I.e. I want to generate parameters {c_i,s_i,b_i}
> for which the function
>           F(x) = SIGMA_i  c_i exp(-s_i*(x-b_i)^2)
> is a very good approximation to  f.
>
> Can anyone please point me to software, free or not, Linux or
> Windows, that can do this?
>
> Thank you.  I will summarize responses.
>
> David Anick PhD MD
> [email-masked]
> (Harvard Medical School)
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>
>